aboutsummaryrefslogtreecommitdiff
path: root/sh/profile.d/plenv.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sh/profile.d/plenv.sh')
-rw-r--r--sh/profile.d/plenv.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/sh/profile.d/plenv.sh b/sh/profile.d/plenv.sh
new file mode 100644
index 00000000..b2b491e1
--- /dev/null
+++ b/sh/profile.d/plenv.sh
@@ -0,0 +1,5 @@
+# Add plenv to PATH and MANPATH if it appears to be in use
+[ -d "$HOME"/.plenv ] || return
+PATH=$HOME/.plenv/shims:$HOME/.plenv/bin:$PATH
+MANPATH=$HOME/.plenv/versions/$(perl -e 'print substr($^V,1)')/man:$MANPATH
+export MANPATH